%define ver_major 2.10

Name: gconf-editor
Version: %ver_major.0
Release: alt1

Summary: An editor for the GConf configuration system.
License: GPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.6.4
%define GConf_ver 2.10.0

Requires: libgtk+2 >= %gtk_ver
Requires: GConf2 >= %GConf_ver

BuildPreReq: intltool perl-XML-Parser
BuildPreReq: menu-devel
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libGConf2-devel >= %GConf_ver

# Automatically added by buildreq on Mon Sep 13 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper

%description
An editor for the GConf configuration system.
Directly edit your entire configuration database.

%prep
%setup -q

%build
%configure --disable-schemas-install
%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Configuration/Gnome" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name "gnome"

# remove none-packaged files
%__rm -rf %buildroot%_var

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_iconsdir/hicolor/48x48/apps/gconf-editor.png
%_datadir/pixmaps/*
%_man1dir/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog README

%changelog
* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92.

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.3-alt1
- 2.9.3

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.2-alt1
- 2.8.2

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Thu Sep 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.92-alt1
- 2.7.92

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.91-alt1
- 2.5.91

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1

* Sat Sep 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Thu Aug 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Wed Jun 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt2
- menu file fixed.

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt1
- new version.

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt2
- rebuild with new pango, gtk+ with Xft2 support.

* Sun Sep 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1
- gcc-3.2 used
- buildreqs updated

* Fri Jun 07 2002 Igor Androsov <blake@altlinux.ru> 0.2-alt1
- Create Spec for AltLinux Team
- Inital build
